package com.izouma.awesomeadmin.model;


import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


import java.util.Date;

/**
 * sys_role 实体类
 * Tue Apr 10 18:09:56 CST 2018  Suo Chen Cheng
 */ 
@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class SysRole{

	private Integer id;

	private String officeId;

	private String name;

	private String enname;

	private String roleType;

	private String isSys;

	private String useable;

	private String createBy;

	private Date createDate;

	private String updateBy;

	private Date updateDate;

	private String remarks;

	private String delFlag;
	private String idStr;

	private String menuIds;
	private String permission;

	public String getMenuIds() {
		return menuIds;
	}

	public void setMenuIds(String menuIds) {
		this.menuIds = menuIds;
	}

	public String getPermission() {
		return permission;
	}

	public void setPermission(String permission) {
		this.permission = permission;
	}

	public String getIdStr() {
		return idStr;
	}

	public void setIdStr(String idStr) {
		this.idStr = idStr;
	}

	public void setId(Integer id){
		this.id=id;
	}

	public Integer getId(){
		return id;
	}

	public void setOfficeId(String officeId){
		this.officeId=officeId;
	}

	public String getOfficeId(){
		return officeId;
	}

	public void setName(String name){
		this.name=name;
	}

	public String getName(){
		return name;
	}

	public void setEnname(String enname){
		this.enname=enname;
	}

	public String getEnname(){
		return enname;
	}

	public void setRoleType(String roleType){
		this.roleType=roleType;
	}

	public String getRoleType(){
		return roleType;
	}

	public void setIsSys(String isSys){
		this.isSys=isSys;
	}

	public String getIsSys(){
		return isSys;
	}

	public void setUseable(String useable){
		this.useable=useable;
	}

	public String getUseable(){
		return useable;
	}

	public void setCreateBy(String createBy){
		this.createBy=createBy;
	}

	public String getCreateBy(){
		return createBy;
	}

	public void setCreateDate(Date createDate){
		this.createDate=createDate;
	}

	public Date getCreateDate(){
		return createDate;
	}

	public void setUpdateBy(String updateBy){
		this.updateBy=updateBy;
	}

	public String getUpdateBy(){
		return updateBy;
	}

	public void setUpdateDate(Date updateDate){
		this.updateDate=updateDate;
	}

	public Date getUpdateDate(){
		return updateDate;
	}

	public void setRemarks(String remarks){
		this.remarks=remarks;
	}

	public String getRemarks(){
		return remarks;
	}

	public void setDelFlag(String delFlag){
		this.delFlag=delFlag;
	}

	public String getDelFlag(){
		return delFlag;
	}

}

